UPGRADE YOUR BROWSER

We have detected your current browser version is not the latest one. Xilinx.com uses the latest web technologies to bring you the best online experience possible. Please upgrade to a Xilinx.com supported browser:Chrome, Firefox, Internet Explorer 11, Safari. Thank you!

AR# 13937

4.1i iMPACT, WebPACK - "FATAL_ERROR: PersonalityModule: baspmdlm...- dll library <FpgaDevice> does not exist..."

Description

Keywords: 4.1i, 4000, 4000XL, Spartan-XL, iMPACT, FpgaDevice, FATAL_ERROR, PersonalityModule, WebPACK

Urgency: Standard

General Description:
When I attempt to configure a 4000-XL/A or Spartan-XL FPGA from iMPACT 4.1WPx.x, an error message similar to the following appears:

"FATAL_ERROR: PersonalityModule:baspmdlm.c:135:1.8 - dll library <FPGA device> does not exist. Process will terminate. To resolve this error, please consult the Answers Database and other online resources at http://support.xilinx.com"

Solution

1

This issue only affects WebPACK (not typical ISE software), and it has been fixed in WebPACK 4.2WPx.x. (Prior to installing the newer version of WebPACK, un-install the current WebPACK version.)

An alternative method of working around the problem is to obtain the following files from a full installation of ISE and copy them to the same areas in the WebPACK software. Replace "%XILINX%" and "%WEBPACK%" with the appropriate installation directories on your computer.

Take these files:
%XILINX%/bin/nt/libFpgaDevice.dll
%XILINX%/xc4000/data/bsdata.acd

and copy them to:
%WEBPACK%/bin/nt/libFpgaDevice.dll
%WEBPACK%/xc4000/data/bsdata.acd

2

After I fix WebPack as described in Solution 1, I cannot find the DLL library "libCCPromChain.dll" when I attempt to program an 18V00 PROM.

This file can also be taken from a full ISE installation.

Take the file:
%XILINX%\bin\nt\libCCPromChain.dll

and copy it to:
%WEBPACK%\bin\nt\libCCPromChain.dll
AR# 13937
Date Created 02/22/2002
Last Updated 08/08/2003
Status Archive
Type General Article